import ts = require('typescript');
import { AstConverter } from '../converter';
export declare function isStructInterface(name: string): boolean;
export declare function isStructType(type: ts.Type): boolean;
export interface StructProperty {
    name: string;
    type: ts.Type | undefined;
    questionMark: boolean;
}
export declare function propertiesOfStruct(type: ts.Type, context: AstConverter<any>): StructProperty[];
export declare function parameterAcceptsUndefined(param: ts.ParameterDeclaration, type?: ts.Type): boolean;
export declare function structPropertyAcceptsUndefined(prop: StructProperty): boolean;
