import ts = require('typescript');
export declare class TypeScriptCompiler {
    private readonly realHost;
    constructor();
    createInMemoryCompilerHost(sourcePath: string, sourceContents: string): ts.CompilerHost;
    compileInMemory(filename: string, contents: string): CompilationResult;
}
export interface CompilationResult {
    program: ts.Program;
    rootFile: ts.SourceFile;
}
export declare const STANDARD_COMPILER_OPTIONS: ts.CompilerOptions;
